## opensips 2.2.2

=== Makefile ===
#
# OpenSIPS makefile
#
# WARNING: requires gmake (GNU Make)
#  Arch supported: Linux, FreeBSD, SunOS (tested on Solaris 8), OpenBSD (3.2),
#  NetBSD (1.6).
#
#  History:
#  --------
#              created by andrei
#  2003-02-24  make install no longer overwrites opensips.cfg  - patch provided
#               by Maxim Sobolev   <sobomax@FreeBSD.org> and
#                  Tomas Bjoerklund <tomas@webservices.se>
#  2003-03-11  PREFIX & LOCALBASE must also be exported (andrei)
#  2003-04-07  hacked to work with solaris install (andrei)
#  2003-04-17  exclude modules overwritable from env. or cmd. line,
#               added include_modules and skip_modules (andrei)
#  2003-05-30  added extra_defs & EXTRA_DEFS
#               Makefile.defs force-included to allow recursive make
#               calls -- see comment (andrei)
#  2003-06-02  make tar changes -- unpacks in $NAME-$RELEASE  (andrei)
#  2003-06-03  make install-cfg will properly replace the module path
#               in the cfg (re: /usr/.*lib/opensips/modules)
#              opensips.cfg.default is installed only if there is a previous
#               cfg. -- fixes packages containing opensips.cfg.default (andrei)
#  2003-08-29  install-modules-doc split from install-doc, added
#               install-modules-all, removed README.cfg (andrei)
#              added skip_cfg_install (andrei)
#  2004-09-02  install-man will automatically "fix" the path of the files
#               referred in the man pages
#  2007-09-28  added db_berkeley (wiquan)
#

#FREERADIUS=1
# freeradius libs check (must be done in toplevel makefile)
ifneq ("$(wildcard /usr/include/freeradius-client.h)","")
FREERADIUS=1
else
#FREERADIUS=0
endif

#SQLITE_BIND=1
NICER?=1
auto_gen=lex.yy.c cfg.tab.c   #lexx, yacc etc


# whether or not to install opensips.cfg or just opensips.cfg.default
# (opensips.cfg will never be overwritten by make install, this is useful
#  when creating packages)
skip_cfg_install?=

#extra modules to exclude
skip_modules?=

# whether or not to overwrite TLS certificates
tls_overwrite_certs?=


makefile_defs=0
DEFS:=
DEBUG_PARSER?=

# json libs check
ifneq ("$(wildcard /usr/include/json-c/json.h)","")
DEFS += -I/usr/include/json-c
else
DEFS += -I/usr/include/json
endif

# create the template only if the file is not yet created
ifeq (,$(wildcard Makefile.conf))
$(shell cp Makefile.conf.template Makefile.conf)
endif
include Makefile.conf
include Makefile.sources
include Makefile.defs

# always exclude the SVN dir
override exclude_modules+= .svn $(skip_modules)

#always include this modules
#include_modules?=

# first 2 lines are excluded because of the experimental or incomplete
# status of the modules
# the rest is excluded because it depends on external libraries
#
static_modules=
static_modules_path=$(addprefix modules/, $(static_modules))
extra_sources=$(wildcard $(addsuffix /*.c, $(static_modules_path)))
extra_objs=$(extra_sources:.c=.o)

static_defs=$(foreach mod, $(static_modules), \
		-DSTATIC_$(shell echo $(mod) | tr [:lower:] [:upper:]) )

override extra_defs+=$(static_defs) $(EXTRA_DEFS)
export extra_defs

# If modules is supplied, only do those. If not, use all modules when
# building documentation.
ifeq ($(modules),)
	doc_modules=$(all_modules)
else
	doc_modules=$(modules)
endif

# Take subset of all modules, excluding the exclude_modules and the
# static_modules.
modules=$(filter-out $(addprefix modules/, \
			$(exclude_modules) $(static_modules)), \
			$(wildcard modules/*))
# Let modules consist of modules and include_modules (but remove
# duplicates).
modules:=$(filter-out $(modules), $(addprefix modules/, $(include_modules) )) \
			$(modules)

ifneq ($(module),)
	modules:=$(addprefix modules/, $(module))
endif

modules_names=$(patsubst modules/%, %.so, $(modules))
modules_basenames=$(patsubst modules/%, %, $(modules))
modules_full_path=$(join $(modules), $(addprefix /, $(modules_names)))

ALLDEP=Makefile Makefile.sources Makefile.defs Makefile.rules Makefile.conf


install_docs := README-MODULES AUTHORS NEWS README
ifneq ($(skip-install-doc),yes)
	install_docs += INSTALL
endif

#include general defs (like CC, CFLAGS  a.s.o)
# hack to force makefile.defs re-inclusion (needed when make calls itself with
# other options -- e.g. make bin)
#DEFS:=
#include Makefile.defs

NAME=$(MAIN_NAME)

#export relevant variables to the sub-makes
export DEFS PROFILE CC LD MKDEP MKTAGS CFLAGS LDFLAGS MOD_CFLAGS MOD_LDFLAGS
export LIBS RADIUS_LIB
export LEX LEX_FLAGS YACC YACC_FLAGS
export PREFIX LOCALBASE SYSBASE
# export relevant variables for recursive calls of this makefile
# (e.g. make deb)
#export LIBS
#export TAR
export NAME RELEASE OS ARCH
export cfg_prefix cfg_dir bin_prefix bin_dir modules_prefix modules_dir
export doc_prefix doc_dir man_prefix man_dir ut_prefix ut_dir lib_dir
export cfg_target modules_target data_dir data_prefix data_target
export INSTALL INSTALL_CFG INSTALL_BIN INSTALL_MODULES INSTALL_DOC INSTALL_MAN
export INSTALL_TOUCH

# extra excludes for tar
tar_extra_args+=

# include the common rules
include Makefile.rules

#extra targets

$(NAME): $(extra_objs) # static_modules

lex.yy.c: cfg.lex cfg.tab.h $(ALLDEP)
ifeq (,$(FASTER))
	@echo "Generating lexer"
endif
	$(Q)$(LEX) $(LEX_FLAGS) $<

cfg.tab.c cfg.tab.h: cfg.y  $(ALLDEP)
ifeq (,$(FASTER))
	@echo "Generating parser"
endif
	$(Q)$(YACC) $(YACC_FLAGS) $<

.PHONY: all
all: $(NAME) modules utils

.PHONY: app
app: $(NAME)


.PHONY: _modules
_modules: $(modules)

.PHONY: $(modules)
$(modules):
	@$(MAKE) --no-print-directory -C $@ && \
		echo "Building $(notdir $@) module succeeded" || (\
			status=$$?; \
			echo "ERROR: Building $(notdir $@) module failed!"; \
			exit $$status; \
		)

.PHONY: modules
modules:
ifeq (,$(FASTER))
	@set -e; \
	for r in $(modules) "" ; do \
		if [ -n "$$r" ]; then \
			if [ -d "$$r" ]; then \
				echo  "" ; \
				echo  "" ; \
				$(MAKE) -j -C $$r ; \
			fi ; \
		fi ; \
	done
else
	@$(MAKE) _modules || ( \
		status=$$?; \
		if echo $(MAKEFLAGS) | grep -q -- --jobserver; then \
			printf '\nBuilding one or more modules failed!\n'; \
			printf 'Please re-run make without -j / --jobs to find out which.\n\n'; \
		fi; \
		exit $$status \
	)
endif


.PHONY: tool-docbook2pdf
tool-docbook2pdf:
	@if [ -z "$(DBXML2PDF)" ]; then \
		echo "error: docbook2pdf not found"; exit 1; \
	fi

.PHONY: tool-lynx
tool-lynx:
	@if [ -z "$(DBHTML2TXT)" ]; then \
		echo "error: lynx not found"; exit 1; \
	fi

.PHONY: tool-xsltproc
tool-xsltproc:
	@if [ -z "$(DBXML2HTML)" ]; then \
		echo "error: xsltproc not found"; exit 1; \
	fi
	@if [ -z "$(DBHTMLXSL)" ]; then \
		echo "error: docbook.xsl not found (docbook-xsl)"; exit 1; \
	fi

.PHONY: modules-readme
modules-readme: tool-lynx tool-xsltproc
	@set -e; \
	for mod in $(doc_modules); do \
		r=`basename $$mod`;\
		echo "Reading directory $$mod for module $$r";\
		if [ ! -d "$$mod/doc" ]; then \
			continue; \
		fi; \
		cd "$$mod/doc"; \
		if [ -f "$$r".xml ]; then \
			echo "docbook xml to html: $$r.xml"; \
			$(DBXML2HTML) -o $$r.html $(DBXML2HTMLPARAMS) $(DBHTMLXSL) \
						$$r.xml; \
			echo "docbook html to txt: $$r.html"; \
			$(DBHTML2TXT) $(DBHTML2TXTPARAMS) $$r.html >$$r.txt; \
			echo "docbook txt to readme: $$r.txt"; \
			rm $$r.html; \
			mv $$r.txt ../README; \
			echo ""; \
		fi; \
		cd ../../..; \
	done

.PHONY: modules-docbook-txt
modules-docbook-txt: tool-lynx tool-xsltproc
	@set -e; \
	for mod in $(doc_modules); do \
		r=`basename $$mod`;\
		echo "Reading directory $$mod for module $$r";\
		if [ ! -d "$$mod/doc" ]; then \
			continue; \
		fi; \
		cd "$$mod/doc"; \
		if [ -f "$$r".xml ]; then \
			echo ""; \
			echo "docbook xml to html: $$r.xml"; \
			$(DBXML2HTML) -o $$r.html $(DBXML2HTMLPARAMS) $(DBHTMLXSL) \
						$$r.xml; \
			echo "docbook html to txt: $$r.html"; \
			$(DBHTML2TXT) $(DBHTML2TXTPARAMS) $$r.html >$$r.txt; \
			rm $$r.html; \
			echo ""; \
		fi; \
		cd ../../..; \
	done

.PHONY: modules-docbook-html
modules-docbook-html: tool-xsltproc
	@set -e; \
	for mod in $(doc_modules); do \
		r=`basename $$mod`;\
		echo "Reading directory $$mod for module $$r";\
		if [ ! -d "$$mod/doc" ]; then \
			continue; \
		fi; \
		cd "$$mod/doc"; \
		if [ -f "$$r".xml ]; then \
			echo ""; \
			echo "docbook xml to html: $$r.xml"; \
			$(DBXML2HTML) -o $$r.html $(DBXML2HTMLPARAMS) $(DBHTMLXSL) \
						$$r.xml; \
			echo ""; \
		fi; \
		cd ../../..; \
	done

.PHONY: modules-docbook-pdf
modules-docbook-pdf: tool-docbook2pdf
	@set -e; \
	for mod in $(doc_modules); do \
		r=`basename $$mod`;\
		echo "Reading directory $$mod for module $$r";\
		if [ ! -d "$$mod/doc" ]; then \
			continue; \
		fi; \
		cd "$$mod/doc"; \
		if [ -f "$$r".xml ]; then \
			echo ""; \
			echo "docbook xml to pdf: $$r.xml"; \
			$(DBXML2PDF) "$$r".xml; \
		fi; \
		cd ../../..; \
	done

.PHONY: modules-docbook
modules-docbook: modules-docbook-txt modules-docbook-html modules-docbook-pdf

.PHONY: dbschema-docbook-txt
dbschema-docbook-txt: dbschema
	@set -e; \
	for r in $(wildcard doc/database/*.sgml) "" ; do \
		if [ -f "$$r" ]; then \
			echo  "" ; \
			echo  "docbook2txt $$r" ; \
			docbook2txt -o "doc/database/" "$$r" ; \
		fi ; \
	done

.PHONY: dbschema-docbook-html
dbschema-docbook-html: dbschema
	@set -e; \
	for r in $(wildcard doc/database/*.sgml) "" ; do \
		if [ -f "$$r" ]; then \
			echo  "" ; \
			echo  "docbook2html $$r" ; \
			docbook2html --nochunks -o "doc/database/" "$$r" ; \
		fi ; \
	done

.PHONY: dbschema-docbook-pdf
dbschema-docbook-pdf: dbschema
	@set -e; \
	for r in $(wildcard doc/database/*.sgml) "" ; do \
		if [ -f "$$r" ]; then \
			echo  "" ; \
			echo  "docbook2pdf $$r" ; \
			docbook2pdf -o "doc/database/" "$$r" ; \
		fi ; \
	done

.PHONY: dbschema-docbook
dbschema-docbook: dbschema-docbook-txt dbschema-docbook-html dbschema-docbook-pdf


$(extra_objs):
	-@echo "Extra objs: $(extra_objs)"
	@set -e; \
	for r in $(static_modules_path) "" ; do \
		if [ -n "$$r" ]; then \
			echo  "" ; \
			echo  "Making static module $r" ; \
			$(MAKE) -C $$r static ; \
		fi ; \
	done



dbg: $(NAME)
	gdb -command debug.gdb

.PHONY: tar
.PHONY: dist

dist: tar

tar: $(NEWREVISION)
	$(TAR) -C .. \
		--exclude=$(notdir $(CURDIR))/tmp* \
		--exclude=$(notdir $(CURDIR))/debian* \
		--exclude=.svn* \
		--exclude=.git \
		--exclude=.gitignore \
		--exclude=Makefile.conf \
		--exclude=*.[do] \
		--exclude=*.so \
		--exclude=*.il \
		--exclude=$(notdir $(CURDIR))/$(NAME) \
		--exclude=*.gz \
		--exclude=*.bz2 \
		--exclude=*.tar \
		--exclude=*.patch \
		--exclude=.\#* \
		--exclude=*.swp \
		--exclude=*~ \
		${tar_extra_args} \
		-cf - $(notdir $(CURDIR)) | \
			(mkdir -p tmp/_tar1; mkdir -p tmp/_tar2 ; \
			    cd tmp/_tar1; $(TAR) -xf - ) && \
			    mv tmp/_tar1/$(notdir $(CURDIR)) \
			       tmp/_tar2/"$(NAME)-$(RELEASE)" && \
			    (cd tmp/_tar2 && $(TAR) \
			                    -zcf ../../"$(NAME)-$(RELEASE)_src".tar.gz \
			                               "$(NAME)-$(RELEASE)" ) ; \
			    rm -rf tmp/_tar1; rm -rf tmp/_tar2

# binary dist. tar.gz
.PHONY: bin
bin:
	mkdir -p tmp/$(NAME)/usr/local
	$(MAKE) install basedir=tmp/$(NAME) prefix=/usr/local
	$(TAR) -C tmp/$(NAME)/ -zcf ../$(NAME)-$(RELEASE)_$(OS)_$(ARCH).tar.gz .
	rm -rf tmp/$(NAME)

.PHONY: deb-orig-tar
deb-orig-tar: tar
	mv "$(NAME)-$(RELEASE)_src".tar.gz ../$(NAME)_$(RELEASE).orig.tar.gz

.PHONY: deb-%
deb-%:
	rm -rf debian
	# dpkg-source cannot use links for debian source
	cp -r packaging/debian/$(@:deb-%=%) debian
	dpkg-buildpackage \
		-I.git -I.gitignore \
		-I*.swp -I*~ \
		-i\\.git\|debian\|^\\.\\w+\\.swp\|lex\\.yy\\.c\|cfg\\.tab\\.\(c\|h\)\|\\w+\\.patch \
		-rfakeroot -tc $(DEBBUILD_EXTRA_OPTIONS)
	rm -rf debian

.PHONY: deb
deb: deb-common


.PHONY: sunpkg
sunpkg:
	mkdir -p tmp/$(NAME)
	mkdir -p tmp/$(NAME)_sun_pkg
	$(MAKE) install basedir=tmp/$(NAME) prefix=/usr/local
	(cd packaging/solaris; \
	pkgmk -r ../../tmp/$(NAME)/usr/local -o -d ../../tmp/$(NAME)_sun_pkg/ -v "$(RELEASE)" ;\
	cd ../..)

=== menuconfig/Makefile ===
MENUCONFIG_FILES= cfg.o curses.o items.o commands.o menus.o parser.o main.o
MENUCONFIG_CFG_PATH?=menuconfig/configs/
MENUCONFIG_GEN_PATH?=etc/
MENUCONFIG_HAVE_SOURCES?=1
CFLAGS+=-g -Wall -DMENUCONFIG_CFG_PATH=\"$(MENUCONFIG_CFG_PATH)\" \
			-DMENUCONFIG_GEN_PATH=\"$(MENUCONFIG_GEN_PATH)\" \
			-DMENUCONFIG_HAVE_SOURCES=$(MENUCONFIG_HAVE_SOURCES) $(CC_EXTRA_OPTS)
MY_LDFLAGS=-lncurses $(LD_EXTRA_OPTS) $(LDFLAGS)
EXEC_NAME=configure

all: $(MENUCONFIG_FILES)
	$(CC) -o $(EXEC_NAME) $(CFLAGS) $^ $(MY_LDFLAGS)

.PHONY: proper
proper:
	-rm -f $(EXEC_NAME)
	-rm -f $(MENUCONFIG_FILES)

=== test/Makefile ===
all:
	-@for FILE in $(wildcard *.sh) ; do \
		if [ -f $$FILE ] ; then \
			if [ -x $$FILE ] ; then \
				echo "run test `basename $$FILE .sh`:" `head "$$FILE" -n 2 | tail -n 1 | cut -c 3-` ; \
				./$$FILE ; \
				ret=$$? ; \
					if [ ! "$$ret" -eq 0 ] ; then \
						echo "failed" ; \
					fi ; \
			fi ; \
		fi ; \
	done ;

=== cachedb/example/Makefile ===
# $Id: Makefile 6253 2009-10-12 19:00:53Z bogdan_iancu $
#
# Presence Agent
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=example_cachedb.so


include ../../Makefile.modules

=== db/example/Makefile ===
# $Id$
#
# database example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=dbexample.so
LIBS=

include ../../Makefile.modules

=== db/schema/Makefile ===
#
# $Id$
#

# OpenSIPS database descriptions for modules
TABLES := $(patsubst opensips-%.xml,%,$(wildcard opensips-*.xml))

ROOT=../..
STYLESHEETS=$(ROOT)/doc/dbschema/xsl

# Stylesheet used to generate db_table nodes for pi_framework XML schema
PI_FRAMEWORK_TABLE_XSL = $(STYLESHEETS)/pi_framework_table.xsl

# Stylesheet used to generate mod nodes for pi_framework XML schema
PI_FRAMEWORK_MOD_XSL = $(STYLESHEETS)/pi_framework_mod.xsl

# Stylesheet used to generate MySQL database schema
MYSQL_XSL = $(STYLESHEETS)/mysql.xsl

# Stylesheet used to generate Postgres database schema
POSTGRES_XSL = $(STYLESHEETS)/postgres.xsl

# Stylesheet used to generate dbtext database schema
DBTEXT_XSL = $(STYLESHEETS)/dbtext.xsl

# Stylesheet used to generate berkeley database schema
DB_BERKELEY_XSL = $(STYLESHEETS)/db_berkeley.xsl

# Stylesheet used to generate oracle database schema
ORACLE_XSL = $(STYLESHEETS)/oracle.xsl

#Stylesheet used to generate sqlite database schema
SQLITE_XSL = $(STYLESHEETS)/sqlite.xsl

# Stylesheet used to generate docbook documentation
DOCBOOK_XSL = $(STYLESHEETS)/docbook.xsl


# Enable/disable DTD validation
VALIDATE = 0

# Enable/disable verbose output (and DTD validation)
VERBOSE = 0

# XML Catalog used to resolve entities
CATALOG = $(ROOT)/doc/dbschema/catalog.xml

XSLTPROC = /usr/bin/xsltproc
XSLTPROC_FLAGS = --xinclude

ifeq ($(VALIDATE), 0)
	override XSLTPROC := $(XSLTPROC) --novalid
endif

ifeq ($(VERBOSE), 1)
	override XSLTPROC := $(XSLTPROC) --verbose
endif

all: mysql postgres dbtext db_berkeley docbook oracle pi_framework sqlite

.PHONY: pi_framework pi_framework_clean
pi_framework:
	for FILE in $(TABLES); do \
		XML_CATALOG_FILES=$(CATALOG) $(XSLTPROC) $(XSLTPROC_FLAGS) \
		--stringparam dir "$(ROOT)/scripts/pi_http" \
		--stringparam prefix "$$FILE-" \
		$(PI_FRAMEWORK_TABLE_XSL) opensips-"$$FILE".xml ; \
	done
	for FILE in $(TABLES); do \
		XML_CATALOG_FILES=$(CATALOG) $(XSLTPROC) $(XSLTPROC_FLAGS) \
		--stringparam dir "$(ROOT)/scripts/pi_http" \
		--stringparam prefix "$$FILE-" \
		$(PI_FRAMEWORK_MOD_XSL) opensips-"$$FILE".xml ; \
	done
	cat $(ROOT)/scripts/pi_http/pi_framework-00 \
		$(ROOT)/scripts/pi_http/*-table \
		$(ROOT)/scripts/pi_http/pi_framework-01 \
		$(ROOT)/scripts/pi_http/*-mod \
		$(ROOT)/scripts/pi_http/pi_framework-02 > \
		$(ROOT)/scripts/pi_http/pi_framework.xml

pi_framework_clean:
	-@rm -f $(ROOT)/scripts/pi_http/*-table
	-@rm -f $(ROOT)/scripts/pi_http/*-mod

.PHONY: mysql mysql_clean
mysql:
	for FILE in $(TABLES); do \
		XML_CATALOG_FILES=$(CATALOG) $(XSLTPROC) $(XSLTPROC_FLAGS) \
		--stringparam dir "$(ROOT)/scripts/mysql" \
		--stringparam prefix "$$FILE-" \
		--stringparam db "mysql" \
		$(MYSQL_XSL) opensips-"$$FILE".xml ; \
	done

mysql_clean:
	-@rm -f $(ROOT)/scripts/mysql/*

.PHONY: sqlite sqlite_clean
sqlite:
	for FILE in $(TABLES); do \
		XML_CATALOG_FILES=$(CATALOG) $(XSLTPROC) $(XSLTPROC_FLAGS) \
		--stringparam dir "$(ROOT)/scripts/sqlite" \
		--stringparam prefix "$$FILE-" \
		--stringparam db "sqlite" \
		$(SQLITE_XSL) opensips-"$$FILE".xml ; \
	done

sqlite_clean:
	-@rm -f $(ROOT)/scripts/sqlite/*



.PHONY: postgres postgres_clean
postgres:
	for FILE in $(TABLES); do \
		XML_CATALOG_FILES=$(CATALOG) $(XSLTPROC) $(XSLTPROC_FLAGS) \
		--stringparam dir "$(ROOT)/scripts/postgres" \
		--stringparam prefix "$$FILE-" \
		--stringparam db "postgres" \
		$(POSTGRES_XSL) opensips-"$$FILE".xml ; \
	done

postgres_clean:
	-@rm -f $(ROOT)/scripts/postgres/*

.PHONY: oracle oracle_clean
oracle:
	for FILE in $(TABLES); do \
		XML_CATALOG_FILES=$(CATALOG) $(XSLTPROC) $(XSLTPROC_FLAGS) \
		--stringparam dir "$(ROOT)/scripts/oracle" \
		--stringparam prefix "$$FILE-" \
		--stringparam db "oracle" \
		$(ORACLE_XSL) opensips-"$$FILE".xml ; \
	done

oracle_clean:
	-@rm -f $(ROOT)/scripts/oracle/*

.PHONY: dbtext dbtext_clean
dbtext:
	for FILE in $(TABLES); do \
		XML_CATALOG_FILES=$(CATALOG) $(XSLTPROC) $(XSLTPROC_FLAGS) \
		--stringparam dir "$(ROOT)/scripts/dbtext/opensips" \
		--stringparam prefix "" \
		--stringparam db "dbtext" \
		$(DBTEXT_XSL) opensips-"$$FILE".xml ; \
	done
	set -e; \
	TMPFILE=`mktemp -t opensips-test.XXXXXXXXXX`; \
	for FILE in  $(sort $(wildcard $(ROOT)/scripts/dbtext/opensips/*)) ; do \
		if [ -f "$$FILE" ]; then \
			if [  "$$FILE" != "$(ROOT)/scripts/dbtext/opensips/version" -a \
					`wc -l "$$FILE" | cut -f 1 -d ' '` -gt 1 ]; then \
				tail -1 "$$FILE" >> "$(ROOT)/scripts/dbtext/opensips/version" ; \
 				head -n 1 "$$FILE" > "$$TMPFILE" ; \
				cp "$$TMPFILE" "$$FILE" ; \
			fi ; \
		fi ; \
	done ; \
	rm -f "$$TMPFILE"

dbtext_clean:
	-@rm -f $(ROOT)/scripts/dbtext/opensips/*

.PHONY: db_berkeley db_berkeley_clean
db_berkeley:
	for FILE in $(TABLES); do \
		XML_CATALOG_FILES=$(CATALOG) $(XSLTPROC) $(XSLTPROC_FLAGS) \
		--stringparam dir "$(ROOT)/scripts/db_berkeley/opensips" \
		--stringparam prefix "" \
		--stringparam db "db_berkeley" \
		$(DB_BERKELEY_XSL) opensips-"$$FILE".xml ; \
	done
	set -e; \
	TMPFILE=`mktemp -t opensips-test.XXXXXXXXXX`; \
	for FILE in  $(sort $(wildcard $(ROOT)/scripts/db_berkeley/opensips/*)) ; do \
		if [ -f "$$FILE" ]; then \
			if [  "$$FILE" != "$(ROOT)/scripts/db_berkeley/opensips/version" ]; then \
				tail -2 "$$FILE" >> "$(ROOT)/scripts/db_berkeley/opensips/version" ; \
 				head -n 10 "$$FILE" > "$$TMPFILE" ; \
				cp "$$TMPFILE" "$$FILE" ; \
			fi ; \
		fi ; \
	done ; \
	rm -f "$$TMPFILE"

db_berkeley_clean:
	-@rm -f $(ROOT)/scripts/db_berkeley/opensips/*


.PHONY: docbook docbook_clean
docbook:
	for FILE in $(TABLES); do \
		XML_CATALOG_FILES=$(CATALOG) $(XSLTPROC) $(XSLTPROC_FLAGS) \
		--stringparam dir "$(ROOT)/doc/database" \
		--stringparam prefix "$$FILE-" \
		$(DOCBOOK_XSL) opensips-"$$FILE".xml ; \
	done ; \

	# link all documents to one file, to get nicer output
	echo "<!DOCTYPE book PUBLIC \"-//OASIS//DTD DocBook V4.4//EN\" \"http://www.oasis-open.org/docbook/sgml/4.4/docbook.dtd\"[" > "$(ROOT)/doc/database/tables.sgml"
	
	# create entities, as xi:include is not available in sgml docbook
	# substitute '-' for '_', docbook smgl don't like this
	for FILE in $(wildcard $(ROOT)/doc/database/*.xml); do \
		echo "  <!ENTITY `basename "$$FILE" | sed -e 's#_#-#g'` SYSTEM \""$$FILE"\">" >> "$(ROOT)/doc/database/tables.sgml" ; \
	done ; \
	#Include general documentation entities
	echo "  <!ENTITY % docentities SYSTEM \"../entities.xml\"> %docentities;" >> "$(ROOT)/doc/database/tables.sgml" ; \
	echo "]>" >> "$(ROOT)/doc/database/tables.sgml"
	# add bookinfo
	cat "$(ROOT)/doc/dbschema/bookinfo.xml" >> "$(ROOT)/doc/database/tables.sgml"
	# actually include the entities
	for FILE in $(wildcard $(ROOT)/doc/database/*.xml); do \
		echo "    &`basename "$$FILE" | sed -e 's#_#-#g'`" >> "$(ROOT)/doc/database/tables.sgml" ; \
	done ; \
	echo "</book>" >> "$(ROOT)/doc/database/tables.sgml"

docbook_clean:
	-@rm -f $(ROOT)/doc/database/*.xml
	-@rm -f $(ROOT)/doc/database/tables.sgml


.PHONY: clean
clean: mysql_clean postgres_clean oracle_clean dbtext_clean db_berkeley_clean docbook_clean pi_framework_clean

=== modules/aaa_radius/Makefile ===
#
# radius module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=aaa_radius.so

ETC_DIR?=../../etc/

# Comment the next two line and uncomment the following two if you want
# to enable Radius support
DEFS+= -I$(LOCALBASE)/include
LIBS=-L$(LOCALBASE)/lib $(RADIUS_LIB)

include ../../Makefile.modules

install_module_custom: $(cfg_prefix)/$(cfg_dir)
	$(INSTALL_TOUCH) \
		$(cfg_prefix)/$(cfg_dir)/dictionary.opensips.sample ; \
	$(INSTALL_CFG) $(ETC_DIR)/dictionary.opensips \
		$(cfg_prefix)/$(cfg_dir)/dictionary.opensips.sample ; \
	if [ ! -f $(cfg_prefix)/$(cfg_dir)/dictionary.opensips ]; then \
		mv -f $(cfg_prefix)/$(cfg_dir)/dictionary.opensips.sample \
			$(cfg_prefix)/$(cfg_dir)/dictionary.opensips; \
	fi; \

=== modules/acc/Makefile ===
# $Id$
#
# acc module makefile
#
#
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=acc.so
LIBS=

# set ENABLE_DIAMETER_ACC to true if you wish to enable DIAMETER accounting
#   (uncomment next line or 'ENABLE_DIAMETER_ACC=true make all')
#ENABLE_DIAMETER_ACC=true
ifeq ($(ENABLE_DIAMETER_ACC),true)
DEFS+=-DDIAM_ACC
endif

include ../../Makefile.modules

=== modules/alias_db/Makefile ===
# $Id$
#
# User aliases
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs

auto_gen=
NAME=alias_db.so
LIBS=
DEFS+=

include ../../Makefile.modules

=== modules/auth/Makefile ===
# $Id$
#
# auth example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=auth.so
LIBS=

include ../../Makefile.modules

=== modules/auth_aaa/Makefile ===
# $Id$
#
# Digest Authentication - AAA generic support
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=auth_aaa.so
DEFS+=-I$(LOCALBASE)/include
LIBS=

include ../../Makefile.modules

=== modules/auth_db/Makefile ===
# $Id$
#
# Digest Authentication - Database support
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=auth_db.so
LIBS=

include ../../Makefile.modules

=== debian/changelog ===
opensips (2.2.2-3build4) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:54:50 +0000

opensips (2.2.2-3build3) bionic; urgency=medium

  * No-change rebuild against libconfuse2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Dec 2017 16:17:37 +0000

opensips (2.2.2-3build2) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:12:10 +0000

opensips (2.2.2-3build1) artful; urgency=medium

  * No-change rebuild against latest libmicrohttpd

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 09 Jul 2017 13:55:25 -0400

opensips (2.2.2-3) unstable; urgency=medium

  * debian/patches:
    + Add patch to disable timerfd features if headers are not available.
    + Add patch to remove forced /usr/local/include on several modules.
    + Remove /usr/local/include from fix-radcli.patch Makefile.
    + Add DEP-3 fields to all patches that were missing the tags.
  * debian/rules:
    + Remove CC_EXTRA_OPTS += -DVERSION_NODATE, since already in CFLAGS.
    + Add -marm flag to CFLAGS to disable thumb mode for armhf.
    + Add rules to build opensips-sqlite-module.
    + Remove builds of opensips-sctp-module for non-linux OSes.
    + Remove --with python2 from building recepies.
    + Add --with systemd to building recepies.
  * debian/control:
    + Remove orphaned libxmlrpc-core-c3-dev package from Build-Depends.
    + Remove dh-python from Build-Depends.
    + Remove dh-systemd (>= 1.5) to Build-Depends.
    + Add perl:Depends dependency for the opensips-console package.
    + Add new opensips-sqlite-module.
  * debian/copyright:
    + Add copyright info for clusterer module files.
    + Add copyright info for db_sqlite module files.
    + Add copyright info for event_flatstore module files.
    + Add copyright info for event_virtual module files.
    + Add copyright info for proto_bin module files.
    + Add copyright info for proto_hep module files.
    + Add copyright info for sql_cacher module files.

 -- Răzvan Crainea <razvan@opensips.org>  Wed, 07 Dec 2016 22:14:57 +0000

opensips (2.2.2-2) unstable; urgency=medium

  * debian/control:
    + Move libssl-dev from Depends to Build-Depends
    + Remove libsctp-dev from Depends for opensips-sctp-module
    + Remove libcurl4-gnutls-dev from Depends for opensips-restclient-module
  * debian/rules:
    + Add NICER=0 to compile flags to see compiler's options

 -- Răzvan Crainea <razvan@opensips.org>  Mon, 05 Dec 2016 15:51:28 +0000

opensips (2.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Add binary packages:
    + opensips-restclient-module
    + opensips-wss-module
    + opensips-tlsmgm-module
  * debian/patches:
    + Add patch to fix openssl 1.1.0 compile. (Closes: #828472)
    + Add patch to change all freeradius libs to radcli. (Closes: #823112)
    + Add patch to fix spelling errors.
    + Remove UNIVERSAL-import-deprecated.diff as merged in upstream.
    + Remove migrate_to_libmemcached.diff as merged in upstream.
    + Remove fix_spelling_errors.diff as merged in upstream.
    + Remove fix_reproducible_builds.diff as merged in upstream.
    + Remove fix_parallel.diff as merged in upstream.
    + Remove fix_bad_compile.diff as merged in upstream.
    + Remove -marm flag in fix_armhf_ftbfs.diff as fixed in upstream.
  * debian/control:
    + Change db4.6-util to db-util. (Closes: #815411)
    + Change mysqlclient lib to default-mysqlclient.
    + Change liblua5.1-dev to liblua5.1-0-dev dependency.
    + Bump Standards-Version to 3.9.8 (no changes).
    + Add support for mips platforms.
    + Fix libmicrohttpd dependencies.
    + Remove libxmlrpc-core-c3-dev dependency for opensips-xmlrpc-module.
    + Fix typo in Maintainer's name.
  * debian/rules:
    + Build new opensips modules.
    + Export DEB_BUILD_MAINT_OPTIONS for hardening build flags.
    + Add support for RADCLI radius library.
    + Change Makefile targets from '-' to '_'
    + Add support for reproducible builds.
  * debian/copyright:
    + Fix path for cpl module.
    + Remove pdt module.
    + Add sl_cb copyrights.
    + Add proto_wss and tls_mgm copyrights.
  * debian/opensips.service:
    + Add systemd service file.
  * debian/*.lintian-overrides:
    + Create lintian file for opensips and opensips-http-modules.
  * debian/opensips.README.Debian:
    + Remove fork=yes comments in README.
  * debian/opensips.tmpfile:
    + Add temporary directory for pidfile.

 -- Răzvan Crainea <razvan@opensips.org>  Fri, 02 Dec 2016 15:29:48 +0000

opensips (2.1.2-2) unstable; urgency=medium

  * debian/patches:
    + Add patch to fix UNIVERSAL->import warning (5.20) / error (5.22).
    + Add patch to fix building problems.
    + Update armhf patch to fix building.

 -- Razvan Crainea <razvan@opensips.org>  Wed, 09 Mar 2016 13:44:26 +0300

opensips (2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add patch to fix parallel builds. (Closes: #814196, #814546, #814194)
    + Add patch to fix FTBFS in armhf. (Closes: #814195)
    + Backport upstream patch to migrate to libmemcached.
    + Add patch to get reproducible builds working.
    + Add patch to work with multiarch paths.
    + Add patch to fix spelling errors.
  * debian/control:
    + Change libjson0-dev to libjson-c-dev. (Closes: #815411)
    + Bump Standards-Version to 3.9.7 (no changes).
    + Remove libmemcache-dev from Build-Depend.
    + Add support for multiarch.
    + Add opensips-berkeley-bin new binary package.
    + Fix spelling error.
    + Change ${python:Depends} to python.
    + Change libsctp-dev and opensips-sctp-module to linux-any.
  * debian/rules:
    + Improve to get parallel builds working.
    + Export proper flag in CFLAGS to get reproducible builds working.
    + Export DEB_HOST_MULTIARCH to get working multiarch paths.
    + Move opensips-console to proper package.


=== debian/control ===
Source: opensips
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Răzvan Crainea <razvan@opensips.org>
Build-Depends: bison,
               debhelper (>= 9),
               default-libmysqlclient-dev,
               dh-systemd (>= 1.5),
               dpkg-dev (>= 1.16.1.1),
               flex,
               libconfuse-dev,
               libcurl4-gnutls-dev,
               libdb-dev (>= 4.6.19),
               libexpat1-dev,
               libgeoip-dev (>= 1.4.4),
               libhiredis-dev,
               libjson-c-dev,
               libldap2-dev,
               liblua5.1-0-dev,
               libmemcached-dev,
               libmicrohttpd-dev,
               libncurses5-dev,
               libpcre3-dev,
               libperl-dev,
               libpq-dev,
               librabbitmq-dev,
               libradcli-dev,
               libsctp-dev [linux-any],
               libsnmp-dev,
               libsqlite3-dev,
               libssl-dev,
               libxml2-dev,
               pkg-config,
               python,
               unixodbc-dev,
               xsltproc,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://www.opensips.org/

Package: opensips
Architecture: any
Multi-Arch: foreign
Depends: adduser, python, ${misc:Depends}, ${shlibs:Depends}
Suggests: opensips-b2bua-module,
          opensips-berkeley-module,
          opensips-carrierroute-module,
          opensips-compression-module,
          opensips-console,
          opensips-cpl-module,
          opensips-dbhttp-module,
          opensips-dialplan-module,
          opensips-emergency-module,
          opensips-geoip-module,
          opensips-http-modules,
          opensips-identity-module,
          opensips-jabber-module,
          opensips-json-module,
          opensips-ldap-modules,
          opensips-lua-module,
          opensips-memcached-module,
          opensips-mysql-module,
          opensips-perl-modules,
          opensips-postgres-module,
          opensips-presence-modules,
          opensips-rabbitmq-module,
          opensips-radius-modules,
          opensips-redis-module,
          opensips-regex-module,
          opensips-restclient-module,
          opensips-sctp-module [linux-any],
          opensips-snmpstats-module,
          opensips-sqlite-module,
          opensips-tls-module,
          opensips-wss-module,
          opensips-tlsmgm-module,
          opensips-unixodbc-module,
          opensips-xmlrpc-module,
          opensips-xmpp-module
Description: very fast and configurable SIP server
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 C Shell-like scripting language provides full control over the server's
 behaviour. Its modular architecture allows only required functionality to be
 loaded.
 .
 Among others, the following modules are available: Digest Authentication, CPL
 scripts, Instant Messaging, MySQL support, Presence Agent, Radius
 Authentication, Record Routing, SMS Gateway, Jabber/XMPP Gateway, Transaction
 Module, Registrar and User Location, Load Balaning/Dispatching/LCR,
 XMLRPC Interface.
 .
 This package contains the main OpenSIPS binary along with the principal modules
 and support binaries including opensipsmc configuration tool.

Package: opensips-dbg
Priority: extra
Architecture: any
Multi-Arch: same
Section: debug
Depends: opensips (= ${binary:Version}), ${misc:Depends}
Description: very fast and configurable SIP server [debug symbols]
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package contains the debugging symbols for the OpenSIPS binaries and
 modules. You only need to install it if you need to debug OpenSIPS.

Package: opensips-mysql-module
Architecture: any
Multi-Arch: same
Depends: default-mysql-client | virtual-mysql-client,
         opensips (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: MySQL database connectivity module for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the MySQL database driver for OpenSIPS.

Package: opensips-postgres-module
Architecture: any
Multi-Arch: same
Depends: opensips (= ${binary:Version}),
         postgresql-client,
         ${misc:Depends},
         ${shlibs:Depends}
Description: PostgreSQL database connectivity module for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the PostgreSQL database driver for OpenSIPS.

Package: opensips-sqlite-module
Architecture: any
Multi-Arch: same
Depends: opensips (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: SQLite database connectivity module for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the SQLite database driver for OpenSIPS.

Package: opensips-jabber-module
Architecture: any
Multi-Arch: same
Depends: opensips (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Jabber gateway module for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the SIP to Jabber translator module for OpenSIPS.

Package: opensips-cpl-module
Architecture: any
Multi-Arch: same
Depends: opensips (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: CPL module (CPL interpreter engine) for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides a CPL (Call Processing Language) interpreter for
 OpenSIPS, turning OpenSIPS into a CPL server (storage and interpreter).

Package: opensips-radius-modules
Architecture: any
Multi-Arch: same
Depends: opensips (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Radius modules for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the RADIUS driver for the AAA API from OpenSIPS.

Package: opensips-unixodbc-module
Architecture: any
Multi-Arch: same
Depends: opensips (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: unixODBC database connectivity module for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the unixODBC database driver for OpenSIPS.

Package: opensips-presence-modules
Architecture: any
Multi-Arch: same
Depends: opensips (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: SIMPLE presence modules for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides several OpenSIPS modules for implementing presence
 server and presence user agent for RICH presence, registrar-based presence,
 external triggered presence and XCAP support.

Package: opensips-xmlrpc-module
Architecture: any
Depends: opensips (= ${binary:Version}),
	 opensips-http-modules (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Multi-Arch: same
Description: XMLRPC support for OpenSIPS's Management Interface
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the XMLRPC transport implementation for OpenSIPS's
 Management Interface.

Package: opensips-perl-modules
Architecture: any
Multi-Arch: same
Depends: opensips (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Perl extensions and database driver for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides an interface for OpenSIPS to write Perl extensions and
 the db_perlvdb database driver for OpenSIPS.

Package: opensips-snmpstats-module
Architecture: any
Multi-Arch: same
Depends: opensips (= ${binary:Version}),
         snmpd,
         ${misc:Depends},
         ${shlibs:Depends}
Description: SNMP AgentX subagent module for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the snmpstats module for OpenSIPS. This module acts
 as an AgentX subagent which connects to a master agent.

Package: opensips-xmpp-module
Architecture: any
Multi-Arch: same
Depends: opensips (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: XMPP gateway module for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the SIP to XMPP IM translator module for OpenSIPS.

Package: opensips-carrierroute-module
Architecture: any
Multi-Arch: same
Depends: opensips (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Carrierroute module for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the carrierroute module for OpenSIPS, an integrated
 solution for routing, balancing and blacklisting.

Package: opensips-berkeley-module
Architecture: any
Multi-Arch: same
Depends: db-util (>= 4.6.19),
         opensips (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Berkeley Database module for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the berkeley database module for OpenSIPS, a
 high-performance embedded DB kernel. All database tables are stored
 in files, no additional server is necessary.

Package: opensips-berkeley-bin
Architecture: any
Multi-Arch: foreign
Depends: opensips (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Berkeley Database module for OpenSIPS - helper program
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the berkeley database module for OpenSIPS, a
 high-performance embedded DB kernel. You should normally install
 opensips-berkeley-module and not this package directly.

Package: opensips-ldap-modules
Architecture: any
Multi-Arch: same
Depends: opensips (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: LDAP modules for OpenSIPS
 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the ldap and h350 modules for OpenSIPS, enabling LDAP
 queries from the OpenSIPS config and storage of SIP account data in an LDAP
 directory.

Package: opensips-geoip-module
Architecture: any
Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f
# 2010/08/24: Allow building of individual modules (kennard)
# 2015/08/14: Change URL to github sources

# To control which packages get built, set BUILD_MODPKG_LIST to list
# of packages to build (see ALL_MODPKG_LIST for candiate names).  Set to
# 'NONE' to not build any module packages (the primary package is always
# built). By default all delcared packages (debian/control) will be built.


# Supported DEB_BUILD_OPTIONS:
#	noopt,nostrip,debug -- standard
#	upstreamcflags -- don't set cflags, let upstream package Makefile do it

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEBVERSION:=$(shell head -n 1 debian/changelog \
                    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')

FILENAME := opensips_$(UPVERSION).orig.tar.gz
URL := https://github.com/OpenSIPS/opensips/archive/$(UPVERSION).tar.gz

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# List of all debian module packages we will build
# Used to index the make variable below, which has details about each package
ALL_MODPKG_LIST := \
	MYSQL POSTGRES UNIXODBC JABBER CPL RADIUS \
	PRESENCE XMLRPC PERL SNMPSTATS XMPP CROUTE BERKELEY LDAP \
	GEOIP REGEX IDENTITY B2BUA DBHTTP DIALPLAN MEMCACHED JSON \
	REDIS RABBITMQ HTTP COMPRESSION EMERGENCY \
	PROTO_TLS PROTO_WSS TLS_MGM REST_CLIENT LUA SQLITE


ifeq ($(DEB_HOST_ARCH_OS),linux)
	ALL_MODPKG_LIST += PROTO_SCTP
endif

ifeq ($(BUILD_MODPKG_LIST),NONE)
override BUILD_MODPKG_LIST :=
else
ifeq ($(BUILD_MODPKG_LIST),)
override BUILD_MODPKG_LIST := $(ALL_MODPKG_LIST)
endif
endif

# FOO_MODULES is the directory name within modules/ that belongs to the package
# FOO_MOD_PATH is same as FOO_MODULES, but with 'modules/' prepended

MYSQL_PKGNAME = opensips-mysql-module 
MYSQL_MODULES = db_mysql
MYSQL_MOD_PATH=$(addprefix modules/, $(MYSQL_MODULES))
POSTGRES_PKGNAME = opensips-postgres-module
POSTGRES_MODULES = db_postgres
POSTGRES_MOD_PATH=$(addprefix modules/, $(POSTGRES_MODULES))
UNIXODBC_PKGNAME = opensips-unixodbc-module 
UNIXODBC_MODULES=db_unixodbc
UNIXODBC_MOD_PATH=$(addprefix modules/, $(UNIXODBC_MODULES))
SQLITE_PKGNAME = opensips-sqlite-module
SQLITE_MODULES = db_sqlite
SQLITE_MOD_PATH=$(addprefix modules/, $(SQLITE_MODULES))
JABBER_PKGNAME = opensips-jabber-module 
JABBER_MODULES = jabber
JABBER_MOD_PATH=$(addprefix modules/, $(JABBER_MODULES))
CPL_PKGNAME = opensips-cpl-module 
CPL_MODULES = cpl_c
CPL_MOD_PATH=$(addprefix modules/, $(CPL_MODULES))
RADIUS_PKGNAME = opensips-radius-modules
RADIUS_MODULES = aaa_radius peering
RADIUS_MOD_PATH=$(addprefix modules/, $(RADIUS_MODULES))
PRESENCE_PKGNAME = opensips-presence-modules 
PRESENCE_MODULES = presence presence_callinfo presence_dialoginfo presence_xml presence_mwi presence_xcapdiff pua pua_bla pua_dialoginfo pua_mi pua_usrloc pua_xmpp rls xcap xcap_client
PRESENCE_MOD_PATH=$(addprefix modules/, $(PRESENCE_MODULES))
XMLRPC_PKGNAME = opensips-xmlrpc-module
XMLRPC_MODULES = mi_xmlrpc_ng
XMLRPC_MOD_PATH=$(addprefix modules/, $(XMLRPC_MODULES))
PERL_PKGNAME = opensips-perl-modules
PERL_MODULES = perl db_perlvdb
PERL_MOD_PATH=$(addprefix modules/, $(PERL_MODULES))
SNMPSTATS_PKGNAME = opensips-snmpstats-module
SNMPSTATS_MODULES = snmpstats
SNMPSTATS_MOD_PATH=$(addprefix modules/, $(SNMPSTATS_MODULES))
XMPP_PKGNAME = opensips-xmpp-module
XMPP_MODULES = xmpp
XMPP_MOD_PATH=$(addprefix modules/, $(XMPP_MODULES))
CROUTE_PKGNAME = opensips-carrierroute-module 
CROUTE_MODULES = carrierroute
CROUTE_MOD_PATH=$(addprefix modules/, $(CROUTE_MODULES))
BERKELEY_PKGNAME = opensips-berkeley-module
BERKELEY_MODULES = db_berkeley
BERKELEY_MOD_PATH=$(addprefix modules/, $(BERKELEY_MODULES))
LDAP_PKGNAME = opensips-ldap-modules 
LDAP_MODULES = ldap h350
LDAP_MOD_PATH=$(addprefix modules/, $(LDAP_MODULES))
GEOIP_PKGNAME = opensips-geoip-module 
GEOIP_MODULES = mmgeoip
GEOIP_MOD_PATH=$(addprefix modules/, $(GEOIP_MODULES))
REGEX_PKGNAME = opensips-regex-module
REGEX_MODULES = regex
REGEX_MOD_PATH=$(addprefix modules/, $(REGEX_MODULES))
IDENTITY_PKGNAME = opensips-identity-module 
IDENTITY_MODULES = identity
IDENTITY_MOD_PATH=$(addprefix modules/, $(IDENTITY_MODULES))
B2BUA_PKGNAME = opensips-b2bua-module 
B2BUA_MODULES = b2b_entities b2b_logic
B2BUA_MOD_PATH=$(addprefix modules/, $(B2BUA_MODULES))
DBHTTP_PKGNAME = opensips-dbhttp-module
DBHTTP_MODULES = db_http
DBHTTP_MOD_PATH=$(addprefix modules/, $(DBHTTP_MODULES))
DIALPLAN_PKGNAME = opensips-dialplan-module
DIALPLAN_MODULES = dialplan
DIALPLAN_MOD_PATH=$(addprefix modules/, $(DIALPLAN_MODULES))
MEMCACHED_PKGNAME = opensips-memcached-module
MEMCACHED_MODULES = cachedb_memcached
MEMCACHED_MOD_PATH=$(addprefix modules/, $(MEMCACHED_MODULES))
REDIS_PKGNAME = opensips-redis-module
REDIS_MODULES = cachedb_redis
REDIS_MOD_PATH=$(addprefix modules/, $(REDIS_MODULES))
CASSANDRA_PKGNAME = opensips-cassandra-module
CASSANDRA_MODULES = cachedb_cassandra
CASSANDRA_MOD_PATH=$(addprefix modules/, $(CASSANDRA_MODULES))
RABBITMQ_PKGNAME = opensips-rabbitmq-module
RABBITMQ_MODULES = event_rabbitmq
RABBITMQ_MOD_PATH=$(addprefix modules/, $(RABBITMQ_MODULES))
LUA_PKGNAME = opensips-lua-module
LUA_MODULES = lua
LUA_MOD_PATH=$(addprefix modules/, $(LUA_MODULES))
HTTP_PKGNAME = opensips-http-modules
HTTP_MODULES = httpd mi_http pi_http mi_json
HTTP_MOD_PATH=$(addprefix modules/, $(HTTP_MODULES))
JSON_PKGNAME = opensips-json-module
JSON_MODULES = json
JSON_MOD_PATH=$(addprefix modules/, $(JSON_MODULES))
COMPRESSION_PKGNAME = opensips-compression-module
COMPRESSION_MODULES = compression
COMPRESSION_MOD_PATH=$(addprefix modules/, $(COMPRESSION_MODULES))
EMERGENCY_PKGNAME = opensips-emergency-module
EMERGENCY_MODULES = emergency
EMERGENCY_MOD_PATH=$(addprefix modules/, $(EMERGENCY_MODULES))
PROTO_SCTP_PKGNAME = opensips-sctp-module
PROTO_SCTP_MODULES = proto_sctp
PROTO_SCTP_MOD_PATH=$(addprefix modules/, $(PROTO_SCTP_MODULES))
PROTO_TLS_PKGNAME = opensips-tls-module
PROTO_TLS_MODULES = proto_tls
PROTO_TLS_MOD_PATH=$(addprefix modules/, $(PROTO_TLS_MODULES))
PROTO_WSS_PKGNAME = opensips-wss-module
PROTO_WSS_MODULES = proto_wss
PROTO_WSS_MOD_PATH=$(addprefix modules/, $(PROTO_WSS_MODULES))
TLS_MGM_PKGNAME = opensips-tlsmgm-module
TLS_MGM_MODULES = tls_mgm
TLS_MGM_MOD_PATH=$(addprefix modules/, $(TLS_MGM_MODULES))
REST_CLIENT_PKGNAME = opensips-restclient-module
REST_CLIENT_MODULES = rest_client
REST_CLIENT_MOD_PATH=$(addprefix modules/, $(REST_CLIENT_MODULES))


# Need this per-package variables available in environment so accessible
# to shell. Since have underscore in them, need to explicitly export
export $(foreach pkg,$(ALL_MODPKG_LIST),$(pkg)_PKGNAME $(pkg)_MODULES $(pkg)_MOD_PATH)

# not needed anymore
#ALL_PACKAGES = opensips $(foreach pkg,$(ALL_MODPKG_LIST),$($(pkg)_PKGNAME)) \
#	opensips-console
ALL_MODULES = $(foreach pkg,$(ALL_MODPKG_LIST),$($(pkg)_MODULES))
BUILD_MODULE_PATHS = $(foreach pkg,$(BUILD_MODPKG_LIST),$($(pkg)_MOD_PATH))

## modules not in the "main" package or unstable modules that we never want to build
## Everything we don't specifically exclude here will get built into the primary package
NONCORE_MODULES = $(ALL_MODULES) osp

ifeq (cc, $(CC))
	CC = gcc
endif

ifneq (,$(findstring upstreamcflags,$(DEB_BUILD_OPTIONS)))
CFLAGS=
else
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
	CFLAGS += -O2
endif
endif

# disable thumb mode for armhf architecture
ifeq (armhf, $(DEB_HOST_ARCH))
	CFLAGS += -marm
endif

# https://wiki.debian.org/ReproducibleBuilds/
CFLAGS += -DVERSION_NODATE

# add hardening flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# inherit variables from dpkg-builder
CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS += $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/opensips-$1\.tar\.gz/ \
  https://github.com/OpenSIPS/opensips/tags .*/v?(\d\S*)\.tar\.gz

https://github.com/OpenSIPS/opensips/releases /OpenSIPS/opensips/archive/(.+)\.tar\.gz
